<?php
/**
 * The template for displaying Category pages.
 *
 */
get_header();
?>
<div class="clear"></div>
<div class="page_head">
<h1 class="page_title single-heading"><?php printf( __( 'Category Archives: %s', 'andrina-lite' ), '' . single_cat_title( '', false ) . '' ); ?></h1>
</div>
<div class="page-content">
	<?php if ( have_posts() ) : ?>
		<div class="col-md-8 col-sm-8">
			<div class="content-bar">
				<?php
				$category_description = category_description();
				if ( !empty( $category_description ) )
					echo '' . $category_description . '';
				/* Run the loop for the category page to output the posts.
				 * If you want to overload this in a child theme then include a file
				 * called loop-category.php and that will be used instead.
				 */
				while ( have_posts() ) {
					the_post();
					get_template_part( 'templates/content' );
				}
				?>
				<div class="clear"></div>
				<?php
				andrina_pagination();
			endif;
			?>
        </div>
    </div>
    <div class="col-md-4 col-sm-4">
        <!--Start Sidebar-->
<?php get_sidebar(); ?>
        <!--End Sidebar-->
    </div>
</div>
<?php
get_footer();
