<?php

class inkthemes_Customizer{
    
      public static function inkthemes_Register($wp_customize) {

        self::inkthemes_Sections($wp_customize);

        self::inkthemes_Controls($wp_customize);

    }
    
     public static function inkthemes_Sections($wp_customize) { 

        /**
         * Logo and Favicon Section
         */
         $wp_customize->add_section('logo_fevi_setting', array(
            'title' => __('Custom Logo', 'andrina-lite'),
            'description' => __('Allows you to customize header logo for Andrina Theme.', 'andrina-lite'), //Descriptive tooltip
            'panel' => '',
            'priority' => '1',
            'capability' => 'edit_theme_options'
                )
        );
         /**
         * Tracking Code Section
         */
        $wp_customize->add_section('tracking_code_setting', array(
            'title' => __('Google Analytics Tracking Code', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Google Analytics Tracking Code!</h3> Paste your Google Analytics (or other) tracking code here.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => '',
            'priority' => '2',
            'capability' => 'edit_theme_options'
                )
        );
           /**
         * Captcha Settings
         */
        $wp_customize->add_section('captcha_setting', array(
            'title' => __('Captcha Settings', 'andrina-lite'),
            'description' => __('Allows you to set Google reCaptcha Keys for Contact Page Template.', 'andrina-lite'), //Descriptive tooltip
            'priority' => '3',
            'capability' => 'edit_theme_options'
                )
        );
             /**
         * Home Page Loading Animation Settings
         */
        $wp_customize->add_section('hp_loading_animation_setting', array(
            'title' => __('Home Page Loading Animation', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page Loading Animation</h3>Allows you to set Home Page Loading Animation for your Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'priority' => '3',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home page slider panel
         */
        $wp_customize->add_panel('home_page_slider_panel', array(
            'title' => __('Slider Settings', 'andrina-lite'),
            'description' => __('Allows you to setup home page slider for Andrina Theme.', 'andrina-lite'),
            'priority' => '4',
            'capability' => 'edit_theme_options'
        ));
     
        /**
         * Slider animation section
         */
        $wp_customize->add_section('home_page_slider_animation_control', array(
            'title' => __('Slider Animation Section', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Slider Animation Section!</h3> Allows you to set the home page Slider animation as per your requirement.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * First Slider section
         */
        $wp_customize->add_section('home_page_slider_1', array(
            'title' => __('First Slider', 'andrina-lite'),
            'description' => __('Allows you to setup first slider for Andrina Theme.', 'andrina-lite'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Second Slider section
         */
        $wp_customize->add_section('home_page_slider_2', array(
            'title' => __('Second Slider', 'andrina-lite'),
            'description' => __('Allows you to setup second slider for Andrina Theme.', 'andrina-lite'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
          /**
         * Third Slider section
         */
        $wp_customize->add_section('home_page_slider_3', array(
            'title' => __('Third Slider', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Third Slider!</h3> Allows you to setup Third slider for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Fourth Slider section
         */
        $wp_customize->add_section('home_page_slider_4', array(
            'title' => __('Fourth Slider', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fourth Slider!</h3> Allows you to setup Fourth slider for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
         /**
         * Fifth Slider section
         */
        $wp_customize->add_section('home_page_slider_5', array(
            'title' => __('Fifth Slider', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fifth Slider!</h3> Allows you to setup Fifth slider for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Sixth Slider section
         */
        $wp_customize->add_section('home_page_slider_6', array(
            'title' => __('Sixth Slider', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Sixth Slider!</h3> Allows you to setup Sixth slider for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
            /**
         * Home Page Settings
         */
        $wp_customize->add_section('static_front_page', array(
            'title' => __('Homepage Settings', 'andrina-lite'),
            'description' => __('Allows you to setup home page for Andrina Theme.', 'andrina-lite'),
            'priority' => '5',
            'capability' => 'edit_theme_options'
        ));
                /**
         * Home shop section Settings
         */
        $wp_customize->add_section('shop_section_settings', array(
            'title' => __('shop section', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page shop section!</h3> Allows you to setup home page shop section for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'priority' => '5',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Home Page Feature area panel
         */
        $wp_customize->add_panel('home_feature_area_panel', array(
            'title' => __('Feature Section', 'andrina-lite'),
            'description' => __('Allows you to setup home page feature area section for Andrina Theme.', 'andrina-lite'),
            'priority' => '6',
            'capability' => 'edit_theme_options'
        ));
        

        /**
         * Home Page feature on/off
         */
        $wp_customize->add_section('home_feature_area_onoff', array(
            'title' => __('Feature Area On/Off', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page shop section!</h3>Allows you to turn on/off feature section on homepage", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        
        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_1', array(
            'title' => __('First Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup first feature area section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_2', array(
            'title' => __('Second Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup second feature area section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_3', array(
            'title' => __('Third Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup third feature area section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_4', array(
            'title' => __('Fourth Feature Area', 'andrina-lite'),
            'description' => __('Allows you to setup fourth feature area section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
           /**
         * Home Page feature box
         */
        $wp_customize->add_section('home_feature_box', array(
            'title' => __('Add Unlimited Feature Box', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Home Page shop section!</h3>Allows you to setup unlimited feature box for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Blog panel
         */
        $wp_customize->add_panel('homepage_blog_panel', array(
            'title' => __('Homepage Blog Section', 'andrina-lite'),
            'description' => __('Allows you to setup home page blog section for Andrina Theme.', 'andrina-lite'),
            'priority' => '7',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Home Page First and Second Blog section
         */
        $wp_customize->add_section('homepage_blog_first_and_second_section', array(
            'title' => __('First & Second Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup home page blog First and Second section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Third Blog section
         */
        $wp_customize->add_section('homepage_blog_third_section', array(
            'title' => __('Third Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup home page blog Third section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
              /**
         * Home Page Fourth Blog section
         */
        $wp_customize->add_section('homepage_blog_fourth_section', array(
            'title' => __('Fourth Blog Section ', 'andrina-lite'),
            'description' => __('Allows you to setup home page blog Fourth section for Andrina Theme.', 'andrina-lite'),
            'panel' => 'homepage_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
         /**
         * Social Icon Setting
         */
        $wp_customize->add_section('social_icon_section', array(
            'title' => __('Social Icons', 'andrina-lite'),
            'description' => __('Allows you to setup footer social icon for Andrina Theme.', 'andrina-lite'),
            'priority' => '8',
            'panel' => ''
        ));
            /**
         * Styling Option
         */
        $wp_customize->add_section('styling_option_section', array(
            'title' => __('Styling Options', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over SEO Options!</h3> Allows you to style your Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'priority' => '9',
            'panel' => ''
        ));
              /**
         * SEO Options
         */
        $wp_customize->add_section('seo_option_section', array(
            'title' => __('SEO Options', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over SEO Options!</h3> Allows you to set SEO Options for Andrina Theme.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'priority' => '10',
            'panel' => ''
        ));
           /**
         * Footer Setting
         */
        $wp_customize->add_section('footer_section', array(
            'title' => __('Bottom Footer Settings', 'andrina-lite'),
            'description' => __( "<h3>Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over SEO Options!</h3> The areas that you would like to configure is called Footer Widget areas that you can configure from Dashboard->Appearance->Widget.<br/> All you need to do is just place your desired Widgets under the Footer Widget Areas (First, Second, Third, etc.) they will appear on the footer of your site. <br/> If you want to hide the footer widget contents then, just place a Blank Text Widget under Footer Widget Areas. <br/> You can also refer this tutorial link: <a href='https://www.inkthemes.com/how-to-use-widgets-in-wordpress/'>https://www.inkthemes.com/how-to-use-widgets-in-wordpress/</a> ", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
            'priority' => '11',
            'panel' => ''
        ));

     }
     
     public static function inkthemes_Section_Content(){

        $section_content = array(
            'logo_fevi_setting' => array(
                'andrina_logo',
            ),
            'tracking_code_setting' => array(
                'andrina_analytics'
            ),
            'captcha_setting'=> array(
                'andrina_contact_captcha',
                'andrina_captcha_site_key',
                'andrina_captcha_secret_key',
            ),
             'hp_loading_animation_setting'=> array(
                  'andrina_hp_animation_on_off',
            ),
            'home_page_slider_animation_control' => array(
                'andrina_slide_speed',
                'andrina_slider_caption_animation',
                'andrina_caption_heading_animation',
                'andrina_caption_subheading_animation',
                'andrina_caption_desc_animation',
                'andrina_caption_button_animation',
            ),
            'home_page_slider_1' => array(
                'andrina_slideimage1',
                'andrina_slider_heading1',
                'andrina_slider_subheading1',
                'andrina_slider_des1',
                'andrina_Slider_btntext1',
                'andrina_Slider_link1'
            ),
            'home_page_slider_2' => array(
                'andrina_slideimage2',
                'andrina_slider_heading2',
                'andrina_slider_subheading2',
                'andrina_slider_des2',
                'andrina_Slider_btntext2',
                'andrina_Slider_link2'
            ),
            'home_page_slider_3' => array(
                'andrina_slideimage3',
                'andrina_slider_heading3',
                'andrina_slider_subheading3',
                'andrina_slider_des3',
                'andrina_Slider_btntext3',
                'andrina_Slider_link3'
            ),
            'home_page_slider_4' => array(
                'andrina_image4',
                'andrina_slider_heading4',
                'andrina_slider_subheading4',
                'andrina_slider_des4',
                'andrina_Slider_btntext4',
                'andrina_Slider_link4'
            ),
            'home_page_slider_5' => array(
                'andrina_image5',
                'andrina_slider_heading5',
                'andrina_slider_subheading5',
                'andrina_slider_des5',
                'andrina_Slider_btntext5',
                'andrina_Slider_link5'
            ),
            'home_page_slider_6' => array(
                'andrina_image6',
                'andrina_slider_heading6',
                'andrina_slider_subheading6',
                'andrina_slider_des6',
                'andrina_Slider_btntext6',
                'andrina_Slider_link6'
            ),
            'static_front_page' => array(
                'andrina_contact_no',
                'andrina_email_add', 
            ),           
              'shop_section_settings'=> array(
                 'home_shop_section',
                'andrina_home_shop_section_heading',
                'andrina_home_shop_category',
                'andrina_home_shop_product_column',
                'andrina_home_shop_product_number',
            ),
            'home_feature_area_onoff'=> array(
                 'andrina_feature_chk',
            ),
            'home_feature_area_1' => array(
               'andrina_feature_img1',
               'andrina_f_head1',
               'andrina_f_des1',
               'andrina_link1',
            ),
            'home_feature_area_2' => array(
                'andrina_feature_img2',
                'andrina_f_head2',
                'andrina_f_des2',
                'andrina_link2',
             ),
             'home_feature_area_3' => array(
                'andrina_feature_img3',
                'andrina_f_head3',
                'andrina_f_des3',
                'andrina_link3',
             ),
             'home_feature_area_4' => array(
                'andrina_feature_img4',
                'andrina_f_head4',
                'andrina_f_des4',
                'andrina_link4',
             ),
             'home_feature_box' => array(
                'andrina_add_feature_box',
             ),
             'homepage_blog_first_and_second_section'=> array(
                'andrina_fir_seco_blg_chk',
                'blog_head_1',
                'bolg_first_category',
                'first_blogs_quan',
                'blog_head_2',
                'bolg_category_1',

             ),
             'homepage_blog_third_section'=> array(
                'andrina_third_blg_chk',
                'blog_head_3',
                'bolg_category_2',
                'third_blogs_quan',
            ),
            'homepage_blog_fourth_section'=> array(
                'andrina_fourth_blg_chk',
                'blog_head_4',
                'bolg_category_3',
                'fourth_blogs_quan',          
            ),
            'social_icon_section' => array(
                'andrina_facebook',
                'andrina_twitter',
                'andrina_rss',
                'andrina_gplus',
                'andrina_pinterest',
                'andrina_linkedin',
                'andrina_stumble',
                'andrina_instagram',
                'andrina_youtube',
                'andrina_digg',
                'andrina_tumblr',
                'andrina_flickr',
            ),
            'styling_option_section' => array(
                'andrina_altstylesheet',
                'andrina_lanstylesheet',
            ),
            'seo_option_section' => array(
                'andrina_keyword',
                'andrina_description',
                'andrina_author',
            ),
            'footer_section' => array(
                'andrina_footertext',
            ),
        );
        return $section_content;
         
     }
     
     public static function inkthemes_Settings(){

        
    $onoff_switch = array("on" => "On", "off" => "Off");
    //Stylesheet Reader
    $alt_stylesheets = array("black" => "black", "blue" => "blue", "grass" => "grass", "green" => "green", "orange" => "orange", "purple" => "purple", "red" => "red", "rtl" => "rtl", "yellow" => "yellow");
    $lan_stylesheets = array("Default" => "Default", "rtl" => "rtl");
    //Animation Options
    $animation = array(
        'bounce' => 'bounce',
        'flash' => 'flash',
        'pulse' => 'pulse',
        'rubberBand' => 'rubberBand',
        'shake' => 'shake',
        'headShake' => 'headShake',
        'swing' => 'swing',
        'tada' => 'tada',
        'wobble' => 'wobble',
        'jello' => 'jello',
        'bounceIn' => 'bounceIn',
        'bounceInDown' => 'bounceInDown',
        'bounceInLeft' => 'bounceInLeft',
        'bounceInRight' => 'bounceInRight',
        'bounceInUp' => 'bounceInUp',
        'bounceOut' => 'bounceOut',
        'bounceOutDown' => 'bounceOutDown',
        'bounceOutLeft' => 'bounceOutLeft',
        'bounceOutRight' => 'bounceOutRight',
        'bounceOutUp' => 'bounceOutUp',
        'fadeIn' => 'fadeIn',
        'fadeInDown' => 'fadeInDown',
        'fadeInDownBig' => 'fadeInDownBig',
        'fadeInLeft' => 'fadeInLeft',
        'fadeInLeftBig' => 'fadeInLeftBig',
        'fadeInRight' => 'fadeInRight',
        'fadeInRightBig' => 'fadeInRightBig',
        'fadeInUp' => 'fadeInUp',
        'fadeInUpBig' => 'fadeInUpBig',
        'fadeOut' => 'fadeOut',
        'fadeOutDown' => 'fadeOutDown',
        'fadeOutDownBig' => 'fadeOutDownBig',
        'fadeOutLeft' => 'fadeOutLeft',
        'fadeOutLeftBig' => 'fadeOutLeftBig',
        'fadeOutRight' => 'fadeOutRight',
        'fadeOutRightBig' => 'fadeOutRightBig',
        'fadeOutUp' => 'fadeOutUp',
        'fadeOutUpBig' => 'fadeOutUpBig',
        'flipInX' => 'flipInX',
        'flipInY' => 'flipInY',
        'flipOutX' => 'flipOutX',
        'flipOutY' => 'flipOutY',
        'lightSpeedIn' => 'lightSpeedIn',
        'lightSpeedOut' => 'lightSpeedOut',
        'rotateIn' => 'rotateIn',
        'rotateInDownLeft' => 'rotateInDownLeft',
        'rotateInDownRight' => 'rotateInDownRight',
        'rotateInUpLeft' => 'rotateInUpLeft',
        'rotateInUpRight' => 'rotateInUpRight',
        'rotateOut' => 'rotateOut',
        'rotateOutDownLeft' => 'rotateOutDownLeft',
        'rotateOutDownRight' => 'rotateOutDownRight',
        'rotateOutUpLeft' => 'rotateOutUpLeft',
        'rotateOutUpRight' => 'rotateOutUpRight',
        'hinge' => 'hinge',
        'rollIn' => 'rollIn',
        'rollOut' => 'rollOut',
        'zoomIn' => 'zoomIn',
        'zoomInDown' => 'zoomInDown',
        'zoomInLeft' => 'zoomInLeft',
        'zoomInRight' => 'zoomInRight',
        'zoomInUp' => 'zoomInUp',
        'zoomOut' => 'zoomOut',
        'zoomOutDown' => 'zoomOutDown',
        'zoomOutLeft' => 'zoomOutLeft',
        'zoomOutRight' => 'zoomOutRight',
        'zoomOutUp' => 'zoomOutUp',
        'slideInDown' => 'slideInDown',
        'slideInLeft' => 'slideInLeft',
        'slideInRight' => 'slideInRight',
        'slideInUp' => 'slideInUp',
        'slideOutDown' => 'slideOutDown',
        'slideOutLeft' => 'slideOutLeft',
        'slideOutRight' => 'slideOutRight',
        'slideOutUp' => 'slideOutUp'
    );
    // Pull all the categories into an array

    $options_categories = array();
    $options_categories_obj = get_categories();
    foreach ($options_categories_obj as $category) {
        $options_categories[$category->cat_name] = $category->cat_name;
    }

    //Options Categories 
    // Pull all the pages into an array
    $options_pages = array();
    $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
    $options_pages[''] = 'Select a page:';
    foreach ($options_pages_obj as $page) {
        $options_pages[$page->ID] = $page->post_title;
    }
    // If using image radio buttons, define a directory path
    $imagepath = get_template_directory_uri() . '/images/';

    $options = array();
    
             $taxonomy     = 'product_cat';
  $orderby      = 'name';  
  $show_count   = 0;      // 1 for yes, 0 for no
  $pad_counts   = 0;      // 1 for yes, 0 for no
  $hierarchical = 1;      // 1 for yes, 0 for no  
  $title        = '';  
  $empty        = 0;

  $args = array(
         'taxonomy'     => $taxonomy,
         'orderby'      => $orderby,
         'show_count'   => $show_count,
         'pad_counts'   => $pad_counts,
         'hierarchical' => $hierarchical,
         'title_li'     => $title,
         'hide_empty'   => $empty
  );
 $all_categories = get_categories( $args );
 $pcat_name = array();

 foreach ($all_categories as $cat) {
    if($cat->category_parent == 0) {
        $category_id = $cat->term_id;     
        $pcat_name[$category_id]=$cat->name;
//         array_push($pcat_name, $cat->name);
         

        $args2 = array(
                'taxonomy'     => $taxonomy,
                'child_of'     => 0,
                'parent'       => $category_id,
                'orderby'      => $orderby,
                'show_count'   => $show_count,
                'pad_counts'   => $pad_counts,
                'hierarchical' => $hierarchical,
                'title_li'     => $title,
                'hide_empty'   => $empty
        );
        $sub_cats = get_categories( $args2 );
                    
        if($sub_cats) {
            
            foreach($sub_cats as $sub_category) {
                
                array_push($pcat_name, $sub_category->name);
            }   
        }
    }       
}

        $theme_settings = array(
            'andrina_hp_animation_on_off' => array(
                'id' => 'andrina_options[andrina_hp_animation_on_off]',
                'label' => __('Home Page Loading Animation', 'andrina-lite'),
                'description' => __('Homepage loading animation on/off', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'andrina_logo' => array(
                'id' => 'andrina_options[andrina_logo]',
                'label' => __('Custom Logo', 'andrina-lite'),
                'description' => __('Upload a logo for your Website. The recommended size for the logo is 215px width x 55px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/logo.png'
            ),
            'andrina_favicon' => array(
                'id' => 'andrina_options[andrina_favicon]',
                'label' => __('Custom Favicon', 'andrina-lite'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_analytics' => array(
                'id' => 'andrina_options[andrina_analytics]',
                'label' => __('Tracking Code', 'andrina-lite'),
              'description' => __("Go to <a href='http://www.google.co.in/analytics/'>http://www.google.co.in/analytics/</a> and create an account by mentioning the details of your website and get a tracking code which you can paste here to track your website statistics regularly.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => '',

            ),
            'andrina_contact_captcha' => array(
                'id' => 'andrina_options[andrina_contact_captcha]',
                'label' => __('Captcha On/Off', 'andrina-lite'),
                'description' => __('Choose the option to on/off captcha field on Contact Template', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'andrina_captcha_site_key' => array(
                'id' => 'andrina_options[andrina_captcha_site_key]',
                'label' => __('Captcha Site Key', 'andrina-lite'),
                'description' => __("Enter the google recaptcha site key or public key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_captcha_secret_key' => array(
                'id' => 'andrina_options[andrina_captcha_secret_key]',
                'label' => __('Captcha Secret Key', 'andrina-lite'),
                'description' => __("Enter the google recaptcha Secret key or private key here. If you didn't have site key, go to <a href='https://www.google.com/recaptcha/intro/index.html'>https://www.google.com/recaptcha/intro/index.html</a> to generate new one.", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slide_speed' => array(
                'id' => 'andrina_options[andrina_slide_speed]',
                'label' => __('Slider Speed', 'andrina-lite'),
                'description' => __('Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_caption_animation' => array(
                'id' => 'andrina_options[andrina_slider_caption_animation]',
                'label' => __('Slider Caption Area Animation', 'andrina-lite'),
               'description' => __('Choose animation for the caption area.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'bounceInUp'
            ),
            'andrina_caption_heading_animation' => array(
                'id' => 'andrina_options[andrina_caption_heading_animation]',
                'label' => __('Slider Caption Heading Animation', 'andrina-lite'),
                'description' => __('Choose animation for the caption heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'fadeInRight'
            ),
            'andrina_caption_subheading_animation' => array(
                'id' => 'andrina_options[andrina_caption_subheading_animation]',
                'label' => __('Slider Caption Sub Heading Animation', 'andrina-lite'),
                'description' => __('Choose animation for the caption sub heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'swing'
            ),
            'andrina_caption_desc_animation' => array(
                'id' => 'andrina_options[andrina_caption_desc_animation]',
                'label' => __('Slider Caption Description Animation', 'andrina-lite'),
                'description' => __('Choose animation for the caption description.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'wobble'
            ),
            'andrina_caption_button_animation' => array(
                'id' => 'andrina_options[andrina_caption_button_animation]',
                'label' => __('Slider Caption Button Animation', 'andrina-lite'),
                'description' => __('Choose animation for the caption button.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $animation,
                'default' => 'fadeInRight'
            ),
            'andrina_slideimage1' => array(
                'id' => 'andrina_options[andrina_slideimage1]',
                'label' => __('First Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page First Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading1' => array(
                'id' => 'andrina_options[andrina_slider_heading1]',
                'label' => __('First Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page First slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading1' => array(
                'id' => 'andrina_options[andrina_slider_subheading1]',
                'label' => __('First Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page First slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext1' => array(
                'id' => 'andrina_options[andrina_Slider_btntext1]',
                'label' => __('Button Text for First slider', 'andrina-lite'),
                'description' => __('Mention the button text for First image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link1' => array(
                'id' => 'andrina_options[andrina_Slider_link1]',
                'label' => __('First Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page First Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des1' => array(
                'id' => 'andrina_options[andrina_slider_des1]',
                'label' => __('First Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page First Slides Show', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_slideimage2' => array(
                'id' => 'andrina_options[andrina_slideimage2]',
                'label' => __('Second Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page Second Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading2' => array(
                'id' => 'andrina_options[andrina_slider_heading2]',
                'label' => __('Second Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Second slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading2' => array(
                'id' => 'andrina_options[andrina_slider_subheading2]',
                'label' => __('Second Slider subHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page First slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext2' => array(
                'id' => 'andrina_options[andrina_Slider_btntext2]',
                'label' => __('Button Text for Second slider', 'andrina-lite'),
                'description' => __('Mention the button text for Second image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link2' => array(
                'id' => 'andrina_options[andrina_Slider_link2]',
                'label' => __('Second Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des2' => array(
                'id' => 'andrina_options[andrina_slider_des2]',
                'label' => __('Seocnd Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page Second Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_slideimage3' => array(
                'id' => 'andrina_options[andrina_slideimage3]',
                'label' => __('Third Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page Third Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading3' => array(
                'id' => 'andrina_options[andrina_slider_heading3]',
                'label' => __('Third Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Third slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading3' => array(
                'id' => 'andrina_options[andrina_slider_subheading3]',
                'label' => __('Third Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Third slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext3' => array(
                'id' => 'andrina_options[andrina_Slider_btntext3]',
                'label' => __('Button Text for Third slider', 'andrina-lite'),
                'description' => __('Mention the button text for Third image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link3' => array(
                'id' => 'andrina_options[andrina_Slider_link3]',
                'label' => __('Third Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page Third Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des3' => array(
                'id' => 'andrina_options[andrina_slider_des3]',
                'label' => __('Third Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page Third Slides Show', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image4' => array(
                'id' => 'andrina_options[andrina_image4]',
                'label' => __('Fourth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page Fourth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading4' => array(
                    'id' => 'andrina_options[andrina_slider_heading4]',
                    'label' => __('Fourth Slider Heading', 'andrina-lite'),
                    'description' => __('Enter the Heading for Home page Fourth slider', 'andrina-lite'),
                    'type' => 'option',
                    'setting_type' => 'text',
                    'default' => ''
            ),
            'andrina_slider_subheading4' => array(
                'id' => 'andrina_options[andrina_slider_subheading4]',
                'label' => __('Fourth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Fourth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext4' => array(
                'id' => 'andrina_options[andrina_Slider_btntext4]',
                'label' => __('Button Text for Fourth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Fourth image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link4' => array(
                'id' => 'andrina_options[andrina_Slider_link4]',
                'label' => __('Fourth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page Fourth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des4' => array(
                'id' => 'andrina_options[andrina_slider_des4]',
                'label' => __('Fourth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page Fourth Slides Show', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image5' => array(
                'id' => 'andrina_options[andrina_image5]',
                'label' => __('Fifth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page Fifth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading5' => array(
                'id' => 'andrina_options[andrina_slider_heading5]',
                'label' => __('Fifth Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Fifth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading5' => array(
                'id' => 'andrina_options[andrina_slider_subheading5]',
                'label' => __('Fifth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Fifth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext5' => array(
                'id' => 'andrina_options[andrina_Slider_btntext5]',
                'label' => __('Button Text for Fifth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Fifth image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link5' => array(
                'id' => 'andrina_options[andrina_Slider_link5]',
                'label' => __('Fifth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page Fifth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des5' => array(
                'id' => 'andrina_options[andrina_slider_des5]',
                'label' => __('Fifth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page Fifth Slides Show', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_image6' => array(
                'id' => 'andrina_options[andrina_image6]',
                'label' => __('Sixth Slider Image', 'andrina-lite'),
                'description' => __('Choose Image for your Home page Sixth Slider. Optimal Size: 1171px x 526px', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_slider_heading6' => array(
                'id' => 'andrina_options[andrina_slider_heading6]',
                'label' => __('Sixth Slider Heading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Sixth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_slider_subheading6' => array(
                'id' => 'andrina_options[andrina_slider_subheading6]',
                'label' => __('Sixth Slider SubHeading', 'andrina-lite'),
                'description' => __('Enter the Heading for Home page Sixth slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_btntext6' => array(
                'id' => 'andrina_options[andrina_Slider_btntext6]',
                'label' => __('Button Text for Sixth slider', 'andrina-lite'),
                'description' => __('Mention the button text for Sixth image.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_Slider_link6' => array(
                'id' => 'andrina_options[andrina_Slider_link6]',
                'label' => __('Sixth Slide Link', 'andrina-lite'),
                'description' => __('Enter the Link URL for Home Page Sixth Slider', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_slider_des6' => array(
                'id' => 'andrina_options[andrina_slider_des6]',
                'label' => __('Sixth Slide Description', 'andrina-lite'),
                'description' => __('Enter the Description for Home Page Sixth Slides Show', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_contact_no' => array(
                'id' => 'andrina_options[andrina_contact_no]',
                'label' => __('Contact Number', 'andrina-lite'),
                'description' => __('Mention the contact number here through which the visitors can contact you.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_email_add' => array(
                'id' => 'andrina_options[andrina_email_add]',
                'label' => __('Email Address', 'andrina-lite'),
                'description' => __('Mention the email id here through which user can send you mails.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'home_shop_section' => array(
                'id' => 'andrina_options[home_shop_section]',
                'label' => __('Shop Section On/Off', 'andrina-lite'),
                'description' => __('Check on for enabling or disabling shop section on home page.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    'on' => 'On',
                    'off' => 'Off'
                )
            ),
            'andrina_home_shop_section_heading' => array(
                'id' => 'andrina_options[andrina_home_shop_section_heading]',
                'label' => __('Home Page Shop Section Heading', 'andrina-lite'),
                'description' => __('Enter your heading for home page shop section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_home_shop_category' => array(
                'id' => 'andrina_options[andrina_home_shop_category]',
                'label' => __('Home Page Shop Product Category', 'andrina-lite'),
                'description' => __('Enter the name of the category, if you want to display particular category products, else leave it blank. It will display all products', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => '',
                'choices' => $pcat_name
            ),
            'andrina_home_shop_product_column' => array(
                'id' => 'andrina_options[andrina_home_shop_product_column]',
                'label' => __('Home Page Shop Product Column Number', 'andrina-lite'),
                'description' => __('Enter the number of columns for products.Whether you want to display your products in 3 columns, 4 columns or anyother Ex: 3,4 etc', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_home_shop_product_number' => array(
                'id' => 'andrina_options[andrina_home_shop_product_number]',
                'label' => __('Home Page Shop Product Number', 'andrina-lite'),
                'description' => __('Enter the number of products you want to display Ex: 3,4,6,8,9 etc', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_feature_chk' => array(
                'id' => 'andrina_options[andrina_feature_chk]',
                'label' => __('Show Feature Section On/Off', 'andrina-lite'),
                'description' => __('Check on for enabling or disabling feature section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',                
                'choices' => array(
                    'on' => 'On',
                    'off' => 'Off'
                )
            ),
            'andrina_feature_img1' => array(
                'id' => 'andrina_options[andrina_feature_img1]',
                'label' => __('First Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the First column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head1' => array(
                'id' => 'andrina_options[andrina_f_head1]',
                'label' => __('First Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the First column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des1' => array(
                'id' => 'andrina_options[andrina_f_des1]',
                'label' => __('First Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the First column heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link1' => array(
                'id' => 'andrina_options[andrina_link1]',
                'label' => __('First feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img2' => array(
                'id' => 'andrina_options[andrina_feature_img2]',
                'label' => __('Second Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the Second column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head2' => array(
                'id' => 'andrina_options[andrina_f_head2]',
                'label' => __('Second Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Second column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des2' => array(
                'id' => 'andrina_options[andrina_f_des2]',
                'label' => __('Second Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Second column heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link2' => array(
                'id' => 'andrina_options[andrina_link2]',
                'label' => __('Second feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img3' => array(
                'id' => 'andrina_options[andrina_feature_img3]',
                'label' => __('Third Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the Third column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head3' => array(
                'id' => 'andrina_options[andrina_f_head3]',
                'label' => __('Third Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Thrid column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des3' => array(
                'id' => 'andrina_options[andrina_f_des3]',
                'label' => __('Third Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Thrid column heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link3' => array(
                'id' => 'andrina_options[andrina_link3]',
                'label' => __('Third feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_feature_img4' => array(
                'id' => 'andrina_options[andrina_feature_img4]',
                'label' => __('Fourth Feature Image', 'andrina-lite'),
                'description' => __('Upload the image for the Second column. Specified size is 213px width x 143px height.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'andrina_f_head4' => array(
                'id' => 'andrina_options[andrina_f_head4]',
                'label' => __('Fourth Feature Heading', 'andrina-lite'),
                'description' => __('Here mention the heading for the Fourth column.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_f_des4' => array(
                'id' => 'andrina_options[andrina_f_des4]',
                'label' => __('Fourth Feature Description', 'andrina-lite'),
                'description' => __('Mention the short description for the Fourth column heading.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_link4' => array(
                'id' => 'andrina_options[andrina_link4]',
                'label' => __('Fourth feature Link', 'andrina-lite'),
                'description' => __('Mention the URL here to link the image to any pages.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'andrina_add_feature_box' => array(
                'id' => 'andrina_options[andrina_add_feature_box]',
                'label' => __('Add Feature Box', 'andrina-lite'),
                'description' => __("Enter your feature box shortcode to add another feature box. Ex: [add_feature_box featureimg = 'PATH TO THE IMAGE' featuretitle = 'TITLE OF YOUR FEATURE' featuredesc = 'DESC OF YOUR FEATURE' featurelink = 'LINK OF YOUR FEATURE']. You can also add multiple shortcodes separated by ',' (comma) to generate more feature box", 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_fir_seco_blg_chk' => array(
                'id' => 'andrina_options[andrina_fir_seco_blg_chk]',
                'label' => __('Show First & Second Blog Section On/Off', 'andrina-lite'),
                'description' => __( "Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over First & Second Blog Section!<br/><br/> Check on for enabling or disabling First & Second Blog Section.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch,
            ),
            'blog_head_1' => array(
                'id' => 'andrina_options[blog_head_1]',
                'label' => __('Home Page First Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of First Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_first_category' => array(
                'id' => 'andrina_options[bolg_first_category]',
                'label' => __('Home Page First Bolg Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $options_categories,
                'default' => ''
            ),
            'first_blogs_quan' => array(
                'id' => 'andrina_options[first_blogs_quan]',
                'label' => __('First Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on First Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'blog_head_2' => array(
                'id' => 'andrina_options[blog_head_2]',
                'label' => __('Home Page Second Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Second Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_1' => array(
                'id' => 'andrina_options[bolg_category_1]',
                'label' => __('Home Page Second Blog Category. ( Right Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $options_categories,
                'default' => ''
            ),
            'andrina_third_blg_chk' => array(
                'id' => 'andrina_options[andrina_third_blg_chk]',
                'label' => __('Show Third Blog Section On/Off', 'andrina-lite'),
                'description' => __( "Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Third Blog Sectionn!<br/><br/> Check on for enabling or disabling Third Blog Section.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $onoff_switch,
            ),
            'blog_head_3' => array(
                'id' => 'andrina_options[blog_head_3]',
                'label' => __('Home Page Third Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Third Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_2' => array(
                'id' => 'andrina_options[bolg_category_2]',
                'label' => __('Home Page Third Blog Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $options_categories,
                'default' => ''
            ),
            'third_blogs_quan' => array(
                'id' => 'andrina_options[third_blogs_quan]',
                'label' => __('Third Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on Third Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_fourth_blg_chk' => array(
                'id' => 'andrina_options[andrina_fourth_blg_chk]',
                'label' => __('Show Fourth Blog Section On/Off', 'andrina-lite'),
                'description' => __( "Check out the <a href='https://www.inkthemes.com/market/fashion-wordpress-theme/' '%s' target='_blank'>PRO version </a>for full control over Fourth Blog Section!<br/><br/> Check on for enabling or disabling Fourth Blog Section.", 'andrina-lite' ), esc_url( 'https://www.inkthemes.com/market/fashion-wordpress-theme/' ),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => array(
                    "on" => "On",
                    "off" => "Off")
            ),
            'blog_head_4' => array(
                'id' => 'andrina_options[blog_head_4]',
                'label' => __('Home Page Fourth Blog Heading', 'andrina-lite'),
                'description' => __('Enter the Heading of Fourth Blog.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'bolg_category_3' => array(
                'id' => 'andrina_options[bolg_category_3]',
                'label' => __('Home Page Fourth Blog Category.( Left Side )', 'andrina-lite'),
                'description' => __('Select the category to show on Homepage Blog Section.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $options_categories,
                'default' => ''
            ),
            'fourth_blogs_quan' => array(
                'id' => 'andrina_options[fourth_blogs_quan]',
                'label' => __('Fourth Blogs Section Post Quantity', 'andrina-lite'),
                'description' => __('Enter the number of post which you want to show on Fourth Blog Section. Eg. 3,4,5,6... (minimum quantity = 2).', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_facebook' => array(
                'id' => 'andrina_options[andrina_facebook]',
                'label' => __('Facebook URL', 'andrina-lite'),
                'description' => __('Enter your Facebook URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_twitter' => array(
                'id' => 'andrina_options[andrina_twitter]',
                'label' => __('Twitter URL', 'andrina-lite'),
                'description' => __('Enter your andrina-lite URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_rss' => array(
                'id' => 'andrina_options[andrina_rss]',
                'label' => __('RSS Feed URL', 'andrina-lite'),
                'description' => __('Enter your RSS Feed URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_gplus' => array(
                'id' => 'andrina_options[andrina_gplus]',
                'label' => __('Google Plus URL', 'andrina-lite'),
                'description' => __('Enter your Google Plus URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_pinterest' => array(
                'id' => 'andrina_options[andrina_pinterest]',
                'label' => __('Pinterest URL', 'andrina-lite'),
                'description' => __('Enter your Pinterest URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_linkedin' => array(
                'id' => 'andrina_options[andrina_linkedin]',
                'label' => __('Linked In URL', 'andrina-lite'),
                'description' => __('Enter your Linkedin URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_stumble' => array(
                'id' => 'andrina_options[andrina_stumble]',
                'label' => __('Stumble Upon URL', 'andrina-lite'),
                'description' => __('Enter your Stumble Upon URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_instagram' => array(
                'id' => 'andrina_options[andrina_instagram]',
                'label' => __('Instagram URL', 'andrina-lite'),
                'description' => __('Enter your Instagram URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_youtube' => array(
                'id' => 'andrina_options[andrina_youtube]',
                'label' => __('Youtube URL', 'andrina-lite'),
                'description' => __('Enter your Youtube URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_digg' => array(
                'id' => 'andrina_options[andrina_digg]',
                'label' => __('Digg URL', 'andrina-lite'),
                'description' => __('Enter your Digg  URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_tumblr' => array(
                'id' => 'andrina_options[andrina_tumblr]',
                'label' => __('Tumblr URL', 'andrina-lite'),
                'description' => __('Enter your Tumblr  URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_flickr' => array(
                'id' => 'andrina_options[andrina_flickr]',
                'label' => __('Flickr URL', 'andrina-lite'),
                'description' => __('Enter your Flickr URL if you have one', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'andrina_altstylesheet' => array(
                'id' => 'andrina_options[andrina_altstylesheet]',
                'label' => __('Theme Stylesheet', 'andrina-lite'),
                'description' => __('Select the color of the theme from different available colors.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $alt_stylesheets,
                'default' => 'black'
            ),
            'andrina_lanstylesheet' => array(
                'id' => 'andrina_options[andrina_lanstylesheet]',
                'label' => __('Theme Language', 'andrina-lite'),
                'description' => __('By default the theme content displays from left to right which you can change to right to left i.e. switching it to RTL.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' => $lan_stylesheets,
                'default' => 'Default'
            ),
            'andrina_keyword' => array(
                'id' => 'inkthemes_altstylesheet[andrina_keyword]',
                'label' => __('Meta Keywords (comma separated)', 'andrina-lite'),
                'description' => __('Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_description' => array(
                'id' => 'andrina_options[andrina_description]',
                'label' => __('Meta Description', 'andrina-lite'),
                'description' => __('You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'andrina_author' => array(
                'id' => 'inkthemes_altstylesheet[andrina_author]',
                'label' => __('Meta Author Name', 'andrina-lite'),
                'description' => __('You should write the full name of the author here. This only applies to your home page.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
            'andrina_footertext' => array(
                'id' => 'andrina_options[andrina_footertext]',
                'label' => __('Footer Text', 'andrina-lite'),
                'description' => __('Write the text here that will be displayed on the footer i.e. at the bottom of the Website.', 'andrina-lite'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            )

    );
        return $theme_settings;
         
     }
     
     public static function inkthemes_Controls($wp_customize){
        $sections = self::inkthemes_Section_Content();
        $settings = self::inkthemes_Settings();

        foreach ($sections as $section_id => $section_content) {

            foreach ($section_content as $section_content_id) {

                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;
                    case 'upgrade_msg':
			self::add_setting( $wp_customize, $settings[$section_content_id]['id'], '', '', 'andrina_sanitize_text' );
			$wp_customize->add_control( new Andrina_Upgrade_control(
								$wp_customize, $settings[$section_content_id]['id'], array(
							'label' => '',
							'description' => $settings[$section_content_id]['description'],
							'section' => $section_id,
							'type' => 'upgrade_msg',
							'settings' => $settings[$section_content_id]['id']
								)
						) );

						break;
					case 'upgrade_msg2':
						self::add_setting( $wp_customize, $settings[$section_content_id]['id'], '', '', 'andrina_sanitize_text' );
						$wp_customize->add_control( new Andrina_Upgrade_control2(
								$wp_customize, $settings[$section_content_id]['id'], array(
							'label' => $settings[$section_content_id]['label'],
							'description' => $settings[$section_content_id]['description'],
							'section' => $section_id,
							'type' => 'upgrade_msg2',
							'settings' => $settings[$section_content_id]['id']
								)
						) );

						break;

                    default:
                        break;
                }
            }
        }
    }
    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('inkthemes_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package inkthemes
     */
    public static function inkthemes_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package inkthemes
     */
    public static function inkthemes_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package inkthemes
     */
    public static function inkthemes_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package inkthemes
     */
    public static function inkthemes_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : select
     * @package inkthemes
     */
    public static function inkthemes_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package inkthemes
     */
    public static function inkthemes_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }
         
     }   


// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('inkthemes_Customizer', 'inkthemes_Register'));


function inkthemes_registers() {
    wp_register_script('inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
    wp_register_script('inkthemes_customizer_script1', get_template_directory_uri() . '/includes/js/inkthemes_customizer.js', array("jquery", "inkthemes_jquery_ui"), true);
    wp_enqueue_script('inkthemes_customizer_script1');
    wp_localize_script('inkthemes_customizer_script1', 'ink_advert', array(
        'pro' => __('View PRO version', 'andrina-lite'),
        'url' => esc_url('https://www.inkthemes.com/market/fashion-wordpress-theme/'),
        'support_text' => __('Need Help!', 'andrina-lite'),
        'support_url' => esc_url('https://www.inkthemes.com/contact-us/')

            )
    );
}

add_action('customize_controls_enqueue_scripts', 'inkthemes_registers');

