
<div class="col-md-3 col-sm-3">
    <div class="widget_inner">
        <?php
        if (is_active_sidebar('first-footer-widget-area')) :
            dynamic_sidebar('first-footer-widget-area');
        else :
            ?>
            <div class="footer_widget_wrapper">
                <div class="full">
                    <?php if (andrina_get_option('andrina_f_f_img') != '') {
                        ?>
                        <img src="<?php echo esc_url(andrina_get_option('andrina_f_f_img')); ?>" alt="Image"> 
                    <?php } else {
                        ?>
                        <img src="<?php echo ANDRINA_DIR_URI . 'assets/images/andrina-ft-logo.png'; ?>" alt="Image" >
                    <?php }
                    ?> 
                </div>
                <p>
                    <?php
                    if (andrina_get_option('andrina_f_f_para') != '') {
                        echo esc_attr(andrina_get_option('andrina_f_f_para'));
                    } else {
                        _e('Qarius dui, quis posuere nibh ollis quis. Mauris omma rhoncus Qarius dui, quis posuere nibh ollis quis. Mauris omma rhoncus Qarius dui, quis posuere nibh ollis quis. Mauris omma rhoncus Qarius dui, quis posuere nibh ollis quis. Mauris omma rhoncus','andrina-lite');
                    }
                    ?>
                </p>

                <div class="details">
                    <div class="col-md-1">
                        <i class="fa fa-phone fa-1x"></i>
                    </div>
                    <div class="col-md-11">
                         <span>
                            <?php
                            if (andrina_get_option('andrina_f_f_contact') != '') {
                                echo esc_attr(andrina_get_option('andrina_f_f_contact'));
                            } else {
                                _e('+11 - 8989-123-123 or +11 - 9988-1234-12','andrina-lite');
                            }
                            ?>
                        </span>
                    </div>
                    <br/>
                    <div class="col-md-1">
                        <i class="fa fa-paper-plane-o"></i>
                    </div>     
                    <div class="col-md-11">
                        <span>
                            <?php
                            if (andrina_get_option('andrina_f_f_address') != '') {
                                echo esc_attr(andrina_get_option('andrina_f_f_address'));
                            } else {
                                _e('10 no. stop arera colony bhopal (M.P)','andrina-lite');
                            }
                            ?>
                        </span>
                    </div> 
                    <br/>
                    <div class="col-md-1">
                        <i class="fa fa-envelope"></i>
                    </div>   
                    <div class="col-md-11">
                        <span class="email">
                            <?php
                            if (andrina_get_option('andrina_f_f_email') != '') {
                                echo esc_attr(andrina_get_option('andrina_f_f_email'));
                            } else {
                                _e('andrina_pro_theme@gmail.com','andrina-lite');
                            }
                            ?>
                        </span>
                    </div> 
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>
<div class="col-md-3 col-sm-3">
    <div class="widget_inner">
        <?php
        if (is_active_sidebar('second-footer-widget-area')) :
            dynamic_sidebar('second-footer-widget-area');
        else :
            ?> 
            <div class="footer_widget_wrapper">
                <?php
                $demo = get_categories();
                ?>
                <li class="categories">
                    Categories
                    <ul>
                        <?php
                        $i = 1;
                        foreach ($demo as $key => $value) {
                            if ($i <= 5) {
                                ?>
                                <li>
                                    <a href="<?php echo get_category_link($value->cat_ID); ?> ">
                                        <?php echo $value->cat_name; ?>
                                    </a>
                                </li>
                                <?php
                                $i++;
                            }else{
                                break;
                                }
                        }
                        ?>
                    </ul>
                </li>  
            </div>
        <?php endif; ?>
    </div>
</div>
<div class="col-md-3 col-sm-3">
    <div class="widget_inner">
        <?php
        if (is_active_sidebar('third-footer-widget-area')) :
            dynamic_sidebar('third-footer-widget-area');
        else :
            ?>
            <div class="footer_widget_wrapper">
                <div class="footer_widget_title"><?php _e('Recent News', 'andrina-lite'); ?></div>
                <?php
                $instance = array(
                    'numb_post' => 3,
                );
                the_widget('Andrina_Recent_Posts_Widget_With_Thumbnails', $instance);
                ?> 
            </div>
        <?php endif; ?>
    </div>
</div>

<div class="col-md-3 col-sm-3">
    <div class="widget_inner foo_gal">
        <?php
        if (is_active_sidebar('fourth-footer-widget-area')) :
            dynamic_sidebar('fourth-footer-widget-area');
        else :
            ?>
            <div class="footer_widget_wrapper foot_gallery">
                <div class="footer_widget_title"><?php _e('Portfolio works', 'andrina-lite'); ?></div>

                <?php
                  $instance = array(
                    'numb_post' => 6,
                );
                 the_widget('andrina_gallery_widget',$instance);
                ?>

            </div>
        <?php endif; ?>
    </div>
</div>


<div class="clear"></div>