<?php
/*
  Template Name: Gallery Page
 */
get_header();
?> 
<div class="page_head">
<h1 class="page_title single-heading"><?php the_title();?></h1>
</div>
<div class="page-content">
	
	<div class="row">
        <div class="col-md-12">
            <div class="gallery">               		  
                <ul class="thumbnail">
					<?php
					if ( $wp_query->have_posts() ) : while ( have_posts() ) : the_post();
							the_content();
							$attachment_args = array(
								'post_type' => 'attachment',
								'numberposts' => -1,
								'post_status' => null,
								'post_parent' => $post->ID,
								'orderby' => 'menu_order ID'
							);
							$attachments = get_posts( $attachment_args );
							if ( $attachments ) {
								foreach ( $attachments as $gallery_image ) {
									$attachment_img = wp_get_attachment_url( $gallery_image->ID );
									$img_source = $attachment_img;
									echo '<li><a alt="' . $gallery_image->post_title . '" href="' . $attachment_img . '" class="zoombox zgallery1">';
									echo '<img src="' . $img_source[url] . '" alt=""/>';
									echo '</a></li>';
								}
							}
						endwhile;
					endif;
					?>
                </ul> 
            </div>
        </div>
    </div>
</div> 
<?php
get_footer();
